classification
Title: Crash every time I copy or paste any code in IDLE
Type: crash Stage:
Components: IDLE Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: Raymond.Costantini, christian.heimes, ned.deily, roger.serwy
Priority: normal Keywords:

Created on 2012-10-07 00:00 by Raymond.Costantini, last changed 2012-10-07 00:42 by christian.heimes. This issue is now closed.

Messages (6)
msg172268 - (view) Author: Raymond Costantini (Raymond.Costantini) Date: 2012-10-07 00:00
Process:         Python [20738]
Path:            /Applications/Python 3.2/IDLE.app/Contents/MacOS/Python
Identifier:      org.python.IDLE
Version:         3.2.3 (3.2.3)
Code Type:       X86-64 (Native)
Parent Process:  launchd [239]
User ID:         501

Date/Time:       2012-10-06 16:56:07.254 -0700
OS Version:      Mac OS X 10.8.2 (12C60)
Report Version:  10

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: EXC_I386_GPFLT

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   Tk                            	0x000000010138a12a TkpMakeWindow + 306
1   Tk                            	0x000000010130482f Tk_MakeWindowExist + 130
2   Tk                            	0x00000001012e2ed9 TkClipInit + 129
3   Tk                            	0x00000001012e2f77 Tk_ClipboardClear + 43
4   Tk                            	0x00000001012e35fe Tk_ClipboardObjCmd + 996
5   Tcl                           	0x00000001011dd8ad TclEvalObjvInternal + 782
6   Tcl                           	0x0000000101216e51 TclExecuteByteCode + 4488
7   Tcl                           	0x0000000101250c16 TclObjInterpProcCore + 1001
8   Tcl                           	0x00000001011dd8ad TclEvalObjvInternal + 782
9   Tcl                           	0x00000001011de4bf TclEvalEx + 2183
10  Tcl                           	0x00000001011de88f Tcl_EvalEx + 26
11  Tk                            	0x00000001012e1c7d Tk_BindEvent + 4994
12  Tk                            	0x00000001012e4eac TkBindEventProc + 342
13  Tk                            	0x00000001012eb7bb Tk_HandleEvent + 1431
14  Tk                            	0x00000001012e01b8 Tk_EventObjCmd + 4666
15  Tcl                           	0x00000001011dd8ad TclEvalObjvInternal + 782
16  Tcl                           	0x00000001011dea9f Tcl_EvalObjv + 66
17  _tkinter.so                   	0x00000001011c268e Tkapp_Call + 190
18  org.python.python             	0x00000001000b4034 PyEval_EvalFrameEx + 29204
19  org.python.python             	0x00000001000b4ffa PyEval_EvalCodeEx + 1770
20  org.python.python             	0x00000001000b4167 PyEval_EvalFrameEx + 29511
21  org.python.python             	0x00000001000b4321 PyEval_EvalFrameEx + 29953
22  org.python.python             	0x00000001000b4ffa PyEval_EvalCodeEx + 1770
23  org.python.python             	0x0000000100039d0a function_call + 186
24  org.python.python             	0x000000010000c828 PyObject_Call + 104
25  org.python.python             	0x00000001000af2ae PyEval_EvalFrameEx + 9358
26  org.python.python             	0x00000001000b4ffa PyEval_EvalCodeEx + 1770
27  org.python.python             	0x0000000100039d0a function_call + 186
28  org.python.python             	0x000000010000c828 PyObject_Call + 104
29  org.python.python             	0x00000001000261aa method_call + 138
30  org.python.python             	0x000000010000c828 PyObject_Call + 104
31  org.python.python             	0x00000001000ab5e7 PyEval_CallObjectWithKeywords + 87
32  _tkinter.so                   	0x00000001011c09c8 PythonCmd + 456
33  Tcl                           	0x00000001011da53b TclInvokeStringCommand + 105
34  Tcl                           	0x00000001011dd8ad TclEvalObjvInternal + 782
35  Tcl                           	0x0000000101216e51 TclExecuteByteCode + 4488
36  Tcl                           	0x000000010121de3b Tcl_ExprObj + 705
37  Tcl                           	0x00000001011da159 Tcl_ExprBooleanObj + 35
38  Tcl                           	0x00000001011ea61f Tcl_IfObjCmd + 123
39  Tcl                           	0x00000001011dd8ad TclEvalObjvInternal + 782
40  Tcl                           	0x00000001011de4bf TclEvalEx + 2183
41  Tcl                           	0x00000001011de88f Tcl_EvalEx + 26
42  Tk                            	0x00000001012e1c7d Tk_BindEvent + 4994
43  Tk                            	0x00000001012e4eac TkBindEventProc + 342
44  Tk                            	0x00000001012eb7bb Tk_HandleEvent + 1431
45  Tk                            	0x00000001012eb88c WindowEventProc + 92
46  Tcl                           	0x000000010124312f Tcl_ServiceEvent + 147
47  Tcl                           	0x000000010124329f Tcl_ServiceAll + 163
48  Tcl                           	0x0000000101276ace UpdateWaitingListAndServiceEvents + 255
49  com.apple.CoreFoundation      	0x00007fff8f0b89b7 __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
50  com.apple.CoreFoundation      	0x00007fff8f0b8921 __CFRunLoopDoObservers + 369
51  com.apple.CoreFoundation      	0x00007fff8f093e51 __CFRunLoopRun + 929
52  com.apple.CoreFoundation      	0x00007fff8f0936b2 CFRunLoopRunSpecific + 290
53  com.apple.AppKit              	0x00007fff98e9d32c -[NSCarbonMenuImpl performMenuAction:withTarget:] + 269
54  com.apple.AppKit              	0x00007fff98e2120d -[NSMenu _performKeyEquivalentWithDelegate:] + 634
55  com.apple.AppKit              	0x00007fff98e21190 -[NSMenu _performKeyEquivalentWithDelegate:] + 509
56  com.apple.AppKit              	0x00007fff98e20cf7 -[NSMenu performKeyEquivalent:] + 70
57  com.apple.AppKit              	0x00007fff98e20283 -[NSApplication _handleKeyEquivalent:] + 829
58  com.apple.AppKit              	0x00007fff98cdd243 -[NSApplication sendEvent:] + 4480
59  Tk                            	0x000000010139567f -[TKApplication(TKNotify) sendEvent:] + 122
60  Tk                            	0x0000000101395a12 TkMacOSXEventsCheckProc + 411
61  Tcl                           	0x0000000101243412 Tcl_DoOneEvent + 297
62  _tkinter.so                   	0x00000001011bff71 Tkapp_MainLoop + 177
63  org.python.python             	0x00000001000b4034 PyEval_EvalFrameEx + 29204
64  org.python.python             	0x00000001000b4ffa PyEval_EvalCodeEx + 1770
65  org.python.python             	0x00000001000b4167 PyEval_EvalFrameEx + 29511
66  org.python.python             	0x00000001000b4321 PyEval_EvalFrameEx + 29953
67  org.python.python             	0x00000001000b4ffa PyEval_EvalCodeEx + 1770
68  org.python.python             	0x00000001000b530f PyEval_EvalCode + 63
69  org.python.python             	0x00000001000dc6ab PyRun_FileExFlags + 187
70  org.python.python             	0x00000001000dc979 PyRun_SimpleFileExFlags + 521
71  org.python.python             	0x00000001000f1e65 Py_Main + 3237
72  Python                        	0x0000000100000e0b 0x100000000 + 3595
73  Python                        	0x0000000100000c94 0x100000000 + 3220

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff90883d16 kevent + 10
1   libdispatch.dylib             	0x00007fff8f755dea _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff8f7559ee _dispatch_mgr_thread + 54

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff908836d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8fb1feec _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8fb1fcb3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8fb0a171 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff90883322 __select + 10
1   Tcl                           	0x0000000101276d1e NotifierThreadProc + 558
2   libsystem_c.dylib             	0x00007fff8fb1d742 _pthread_start + 327
3   libsystem_c.dylib             	0x00007fff8fb0a181 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff908836d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8fb1feec _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8fb1fcb3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8fb0a171 start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff908836d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8fb1feec _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8fb1fcb3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8fb0a171 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0072006f005f0074  rbx: 0x0000000101ba5e10  rcx: 0x0000000101ba5e00  rdx: 0x0000000000000000
  rdi: 0x0000000000000000  rsi: 0x0000000101ba5e18  rbp: 0x00007fff5fbf9650  rsp: 0x00007fff5fbf9630
   r8: 0x0000000000002060   r9: 0x00007fff5fbf9680  r10: 0x0000000000000004  r11: 0x0000000000001000
  r12: 0x0000000101ba6a10  r13: 0x0000000101ba5e10  r14: 0xffffffffffffffff  r15: 0x00000001018a2410
  rip: 0x000000010138a12a  rfl: 0x0000000000010246  cr2: 0x0000000100c1c490
Logical CPU: 1

Binary Images:
       0x100000000 -        0x100000ff7 +Python (???) <1768148D-C54D-CDEA-E308-66DD6F981E49> /Applications/Python 3.2/IDLE.app/Contents/MacOS/Python
       0x100003000 -        0x100184ff7 +org.python.python (3.2.3, [c] 2004-2012 Python Software Foundation. - 3.2.3) <C51CBDD9-D8AA-2CF6-8C0F-B3138193D6D0> /Library/Frameworks/Python.framework/Versions/3.2/Python
       0x100570000 -        0x100570fff +_bisect.so (???) <78CC2A47-24FF-F895-B747-95A8E082C933> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_bisect.so
       0x1005a1000 -        0x1005a2ff7 +_heapq.so (???) <9E377F57-15D4-FA5A-C33F-79EE16CEFFAE> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_heapq.so
       0x1005e6000 -        0x1005eefff +_socket.so (???) <139F676E-9155-AFC9-1AD3-A782BEAC8C6B> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_socket.so
       0x1005f8000 -        0x1005fafff +time.so (???) <FEFA964F-DEA4-AB47-3CDC-60ADC96AF0DF> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/time.so
       0x1007c0000 -        0x1007c3fff +select.so (???) <A93F61B7-A7BA-5EB0-A30C-BA764CD83797> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/select.so
       0x1007c9000 -        0x1007caff7 +fcntl.so (???) <56137A5B-9D40-321A-EA04-BA3BC276F687> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/fcntl.so
       0x1007cd000 -        0x1007d1fff +_struct.so (???) <4146D1DF-404C-17A5-91BD-4D0EA49CA1A9> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_struct.so
       0x1007d8000 -        0x1007e7fff +_pickle.so (???) <201C5209-AB7F-A512-307F-8D2F0B5BA7A9> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_pickle.so
       0x1007f1000 -        0x1007f2ff7 +_posixsubprocess.so (???) <D3BCDF7D-3760-8332-D574-6C385D481588> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_posixsubprocess.so
       0x1007f9000 -        0x1007fbff7 +_hashlib.so (???) <BA8F08DF-300B-1A18-AEE9-0FE0160ABF6E> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_hashlib.so
       0x1011bd000 -        0x1011c4ff7 +_tkinter.so (???) <885013A0-8BE8-E15A-1150-94172642D585> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_tkinter.so
       0x1011cd000 -        0x1012aafe7 +Tcl (8.5.12 - 8.5.12) <BEEA747D-37D2-E8A1-3F8A-89BFC1087A1E> /Library/Frameworks/Tcl.framework/Versions/8.5/Tcl
       0x1012d6000 -        0x1013e4fef +Tk (8.5.12 - 8.5.12) <C6928E4B-8867-75D8-9E7C-2DF562FB6244> /Library/Frameworks/Tk.framework/Versions/8.5/Tk
       0x1014fc000 -        0x1014fdff7 +_random.so (???) <D676ED48-1790-C021-514E-A29775BF5CB0> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/_random.so
       0x1017c3000 -        0x1017c8fe7 +math.so (???) <5EE93FAE-A0BF-5D9D-7B68-F1BA2D893EAC> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/math.so
       0x1020c3000 -        0x1020c9fe7 +array.so (???) <93D44AE8-82E4-1541-2172-0ECB419847E6> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/array.so
       0x1020ec000 -        0x1020f5fe7  libcldcpuengine.dylib (2.1.19) <50800DA2-7233-32E5-9553-A02171B68399> /System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib
       0x1020fd000 -        0x1020fdff3 +cl_kernels (???) <AC28CA1E-7A21-49B5-BD70-ECAFC90CA95E> cl_kernels
       0x1025f2000 -        0x1025f5ff7  libCoreFSCache.dylib (24.4) <C375CAA0-F91F-3D9F-AF90-DB951BD86983> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
       0x104efa000 -        0x104f95fef +unicodedata.so (???) <001D04E6-0D6B-34D3-1DD9-A33C55E86885> /Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/lib-dynload/unicodedata.so
       0x106900000 -        0x10699bff7  unorm8_bgra.dylib (2.1.19) <904EA51D-225A-38AF-B66C-84493C55C065> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_bgra.dylib
    0x7fff6e242000 -     0x7fff6e27693f  dyld (210.2.3) <A40597AA-5529-3337-8C09-D8A014EB1578> /usr/lib/dyld
    0x7fff8dfd7000 -     0x7fff8dfeefff  com.apple.GenerationalStorage (1.1 - 132.2) <3F5C87BD-D866-3732-8CB9-D23ED9784D6E> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8dfef000 -     0x7fff8dff3fff  com.apple.IOSurface (86.0.3 - 86.0.3) <C121DE83-ED12-3DC1-BDB3-4FCB29AB0571> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8dff4000 -     0x7fff8e014fff  libPng.dylib (845) <C3CDD2B4-3CB0-3F6D-8411-DAAF267E952B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8e015000 -     0x7fff8e0daff7  com.apple.coreui (2.0 - 181.1) <83D2C92D-6842-3C9D-9289-39D5B4554C3A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8e123000 -     0x7fff8e358ff7  com.apple.CoreData (106.1 - 407.7) <24E0A6B4-9ECA-3D12-B26A-72B9DCF09768> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8e359000 -     0x7fff8e35aff7  libsystem_sandbox.dylib (220) <3C3B03CF-C525-3CB3-8557-62E91B93AC95> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8e35b000 -     0x7fff8e35bffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <29E2C990-3617-3FA2-BDD7-DB7DF493E443> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8e43b000 -     0x7fff8e442fff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
    0x7fff8e443000 -     0x7fff8e443fff  com.apple.Cocoa (6.7 - 19) <1F77945C-F37A-3171-B22E-F7AB0FCBB4D4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff8e444000 -     0x7fff8e47afff  com.apple.DebugSymbols (98 - 98) <14E788B1-4EB2-3FD7-934B-849534DFC198> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8e4bf000 -     0x7fff8e4c3fff  libCoreVMClient.dylib (24.4) <55F71158-ADEE-3863-92E9-4772DCEA8E31> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8e506000 -     0x7fff8e56eff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib
    0x7fff8e56f000 -     0x7fff8e671fff  libcrypto.0.9.8.dylib (47) <74F165AD-4572-3B26-B0E2-A97477FE59D0> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8e672000 -     0x7fff8e677fff  com.apple.OpenDirectory (10.8 - 151.10) <CF44120B-9B01-32DD-852E-C9C0E1243FC0> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8e678000 -     0x7fff8e699ff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib
    0x7fff8e69d000 -     0x7fff8e6d4ff7  libssl.0.9.8.dylib (47) <923945E6-C489-3406-903B-A362410753F8> /usr/lib/libssl.0.9.8.dylib
    0x7fff8e6d5000 -     0x7fff8e7ed92f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib
    0x7fff8e7ee000 -     0x7fff8e83fff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <E095637C-457F-3D8F-AE32-A032F9D5A46C> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8e840000 -     0x7fff8e84eff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587> /usr/lib/system/libsystem_network.dylib
    0x7fff8e84f000 -     0x7fff8e85dff7  libkxld.dylib (2050.18.24) <7027CE49-007D-3553-8FFA-3E3B428B2316> /usr/lib/system/libkxld.dylib
    0x7fff8e85e000 -     0x7fff8e91bff7  com.apple.ColorSync (4.8.0 - 4.8.0) <6CE333AE-EDDB-3768-9598-9DB38041DC55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8e91c000 -     0x7fff8e91fff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
    0x7fff8e93e000 -     0x7fff8eab2fff  com.apple.CFNetwork (596.2.3 - 596.2.3) <6A16C2BD-1035-30F9-AE96-D9E3BB54A976> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff8eab3000 -     0x7fff8eb1cfff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
    0x7fff8eb1d000 -     0x7fff8eb9ffff  com.apple.Heimdal (3.0 - 2.0) <660A6C64-4912-32C8-A332-B64164032A2D> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8eba2000 -     0x7fff8ec53fff  com.apple.LaunchServices (539.7 - 539.7) <DA7C602E-5E01-31B8-925D-B45360CA089F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8ec54000 -     0x7fff8ec5ffff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
    0x7fff8ec60000 -     0x7fff8ec64ff7  com.apple.TCC (1.0 - 1) <F2F3B753-FC73-3543-8BBE-859FDBB4D6A6> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff8ec65000 -     0x7fff8ec65fff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <B5A18EE8-DF81-38DD-ACAF-7076B2A26225> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8ec66000 -     0x7fff8ec68fff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24> /usr/lib/system/libquarantine.dylib
    0x7fff8ec69000 -     0x7fff8ec6bfff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff8ec6c000 -     0x7fff8ee07fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8ee08000 -     0x7fff8ee1efff  com.apple.MultitouchSupport.framework (235.28 - 235.28) <BD78B16E-9B5A-3E07-93B4-13AD1A538CAC> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff8ee88000 -     0x7fff8ee8bfff  com.apple.help (1.3.2 - 42) <343904FE-3022-3573-97D6-5FE17F8643BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8eec4000 -     0x7fff8eed8fff  libGL.dylib (8.6.1) <2E00615F-97F5-34EB-BE07-75A24F3C18D7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8efa4000 -     0x7fff8efb1fff  com.apple.AppleFSCompression (49 - 1.0) <5508344A-2A7E-3122-9562-6F363910A80E> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff8efbc000 -     0x7fff8f013ff7  com.apple.ScalableUserInterface (1.0 - 1) <F1D43DFB-1796-361B-AD4B-39F1EED3BE19> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff8f014000 -     0x7fff8f04efff  com.apple.GSS (3.0 - 2.0) <0BDF8090-5EF4-3759-94DE-8521D74188AA> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff8f04f000 -     0x7fff8f05eff7  com.apple.opengl (1.8.6 - 1.8.6) <720CC06C-0D01-37AE-BB3D-D7F0242B262A> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8f05f000 -     0x7fff8f248fff  com.apple.CoreFoundation (6.8 - 744.12) <EF002794-DAEF-31C6-866C-E3E3AC387A9F> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8f249000 -     0x7fff8f27ffff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1> /usr/lib/system/libsystem_info.dylib
    0x7fff8f280000 -     0x7fff8f370ff7  com.apple.DiskImagesFramework (10.8 - 344) <3A30B9B5-5099-35E2-9DCD-C96764FA2D26> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff8f371000 -     0x7fff8f372ff7  libremovefile.dylib (23.1) <DBBFAF35-AC78-3856-92F6-6E4FD9DF14A2> /usr/lib/system/libremovefile.dylib
    0x7fff8f49c000 -     0x7fff8f4a7fff  com.apple.CommonAuth (3.0 - 2.0) <74A86DDD-57D0-3178-AB74-E1F31DBFFC39> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8f4a8000 -     0x7fff8f4acfff  libGIF.dylib (845) <2690CE83-E934-3EF8-A30A-996EDADCE3E4> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff8f4ad000 -     0x7fff8f4c4fff  com.apple.CFOpenDirectory (10.8 - 151.10) <FFBBA538-00B5-334E-BA5B-C8AD6CDCDA14> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8f721000 -     0x7fff8f721fff  com.apple.ApplicationServices (45 - 45) <A3ABF20B-ED3A-32B5-830E-B37831A45A80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8f722000 -     0x7fff8f750fff  com.apple.CoreServicesInternal (154.2 - 154.2) <3E6196E6-F3B4-316F-9E1F-13B6B9694C7E> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8f751000 -     0x7fff8f766ff7  libdispatch.dylib (228.23) <D26996BF-FC57-39EB-8829-F63585561E09> /usr/lib/system/libdispatch.dylib
    0x7fff8f7a4000 -     0x7fff8f7e8fff  libcups.2.dylib (327) <9B3F3321-D2BC-3195-BF20-4008FC52A390> /usr/lib/libcups.2.dylib
    0x7fff8f7e9000 -     0x7fff8f7eefff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8f80d000 -     0x7fff8f859ff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib
    0x7fff8f85a000 -     0x7fff8f877fff  com.apple.openscripting (1.3.6 - 148.2) <33B87CFB-CACC-3EBC-893D-38AECB94FB8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8fafb000 -     0x7fff8fb08ff7  com.apple.NetAuth (4.0 - 4.0) <F5BC7D7D-AF28-3C83-A674-DADA48FF7810> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8fb09000 -     0x7fff8fbd5fe7  libsystem_c.dylib (825.25) <8CBCF9B9-EBB7-365E-A3FF-2F3850763C6B> /usr/lib/system/libsystem_c.dylib
    0x7fff8fbd6000 -     0x7fff90566c67  com.apple.CoreGraphics (1.600.0 - 324.6) <DCC70C6E-AB6D-3457-A823-7569CB29B107> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff905ae000 -     0x7fff9064cff7  com.apple.ink.framework (10.8.2 - 150) <84B9825C-3822-375F-BE58-A753444FBDE2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff9064d000 -     0x7fff90654fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff90655000 -     0x7fff9065dff7  libsystem_dnssd.dylib (379.32.1) <62AA0B84-188A-348B-8F9E-3E2DB08DB93C> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff9065e000 -     0x7fff9065ffff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
    0x7fff906bb000 -     0x7fff906e5ff7  com.apple.CoreVideo (1.8 - 99.3) <C424838A-889C-39E5-8108-FD05C93D26A0> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff90871000 -     0x7fff9088cff7  libsystem_kernel.dylib (2050.18.24) <C0535565-35D1-31A7-A744-63D9F10F12A4> /usr/lib/system/libsystem_kernel.dylib
    0x7fff9088d000 -     0x7fff9090efff  com.apple.Metadata (10.7.0 - 707.3) <A45D75C1-B311-39F0-AF4A-63FCCC098C1D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff90911000 -     0x7fff90915fff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
    0x7fff909a1000 -     0x7fff90a1fff7  com.apple.securityfoundation (6.0 - 55115.4) <C5461971-E455-31A6-99B8-AF80C4BC26DD> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff90a20000 -     0x7fff90a22fff  libCVMSPluginSupport.dylib (8.6.1) <7EFDA31E-E463-3897-A8DC-7FD266EB713E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff90a6b000 -     0x7fff90ac1fff  com.apple.HIServices (1.20 - 417) <A1129272-FEC8-350B-BA26-5A97F23C413D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff90aea000 -     0x7fff90aeeff7  com.apple.CommonPanels (1.2.5 - 94) <AAC003DE-2D6E-38B7-B66B-1F3DA91E7245> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff90aef000 -     0x7fff90af0fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
    0x7fff91e80000 -     0x7fff91e89fff  com.apple.CommerceCore (1.0 - 26) <997CD214-BC78-3C61-A1B8-813EA1CB9997> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff91e8a000 -     0x7fff91eb1ff7  com.apple.PerformanceAnalysis (1.16 - 16) <E4888388-F41B-313E-9CBB-5807D077BDA9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff91eb2000 -     0x7fff91f84ff7  com.apple.CoreText (260.0 - 275.16) <5BFC1D67-6A6F-38BC-9D90-9C712684EDAC> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff91f85000 -     0x7fff91fb3ff7  libsystem_m.dylib (3022.6) <B434BE5C-25AB-3EBD-BAA7-5304B34E3441> /usr/lib/system/libsystem_m.dylib
    0x7fff91fb4000 -     0x7fff9213afff  libBLAS.dylib (1073.4) <C102C0F6-8CB6-3B49-BA6B-2EB61F0B2784> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff9213b000 -     0x7fff9213bfff  com.apple.Carbon (154 - 155) <372716D2-6FA1-3611-8501-3DD1D4A6E8C8> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff92163000 -     0x7fff921b2ff7  libcorecrypto.dylib (106.2) <CE0C29A3-C420-339B-ADAA-52F4683233CC> /usr/lib/system/libcorecrypto.dylib
    0x7fff921b3000 -     0x7fff921d8ff7  libc++abi.dylib (24.4) <E7BD9363-1D25-3551-A68A-2E2FF6ABECD7> /usr/lib/libc++abi.dylib
    0x7fff9244e000 -     0x7fff92489fff  com.apple.LDAPFramework (2.4.28 - 194.5) <0190B746-F684-3F43-B4D0-148EFE386CA4> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff9248a000 -     0x7fff924f2fff  libvDSP.dylib (380.6) <CD4C5EEB-9E63-30C4-8103-7A5EAEA0BE60> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff92553000 -     0x7fff92553fff  libOpenScriptingUtil.dylib (148.2) <B8061D13-C1B2-38D5-A723-9A98D64E67AC> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff92554000 -     0x7fff92561ff7  com.apple.HelpData (2.1.4 - 85) <EE68BDCC-AF2E-34D3-8E4F-87379E3A4D8E> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x7fff92d23000 -     0x7fff92dc9ff7  com.apple.CoreServices.OSServices (557.4 - 557.4) <841878A8-6F3E-300D-8F01-444B3CC1F41D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff92dd6000 -     0x7fff92dd6fff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
    0x7fff92dd7000 -     0x7fff92dd8ff7  libSystem.B.dylib (169.3) <365477AB-D641-389D-B8F4-A1FAE9657EEE> /usr/lib/libSystem.B.dylib
    0x7fff92e06000 -     0x7fff92e60fff  com.apple.print.framework.PrintCore (8.1 - 387.1) <1FA17B75-33E6-35BD-9198-35F92E37B248> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff92e61000 -     0x7fff92e74ff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
    0x7fff92e83000 -     0x7fff92ea5ff7  com.apple.Kerberos (2.0 - 1) <C49B8820-34ED-39D7-A407-A3E854153556> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff92f7d000 -     0x7fff92f8bfff  com.apple.Librarian (1.1 - 1) <1635162F-239A-341E-83C7-710C55E254AF> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff92f8c000 -     0x7fff92fe1ff7  libTIFF.dylib (845) <ADCB4683-69EB-318B-8BE7-5FDF38BCADAF> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff92fe2000 -     0x7fff93031ff7  libFontRegistry.dylib (100) <2E03D7DA-9B8F-31BB-8FB5-3D3B6272127F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff93032000 -     0x7fff9303efff  libCSync.A.dylib (324.6) <2033247A-CABC-3E20-8498-7367A8F44A08> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff93096000 -     0x7fff93116ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <BD83B039-AB25-3E3E-9975-A67DAE66988B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff93117000 -     0x7fff93121fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <D803919C-3102-3515-A178-61E9C86C46A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff93122000 -     0x7fff93141ff7  com.apple.ChunkingLibrary (2.0 - 133.2) <D2A746DE-002A-3C6C-961E-BE94E71DB835> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff93145000 -     0x7fff931dffff  libvMisc.dylib (380.6) <714336EA-1C0E-3735-B31C-19DFDAAF6221> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff932df000 -     0x7fff93314ff7  libTrueTypeScaler.dylib (84.5) <DF2335F3-07BE-30BA-B73C-3204E95B42C3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff93315000 -     0x7fff9334dfff  libtidy.A.dylib (15.10) <9009156B-84F5-3781-BFCB-B409B538CD18> /usr/lib/libtidy.A.dylib
    0x7fff93350000 -     0x7fff93363ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2F2694E9-A7BC-33C7-B4CF-8EC907DF0FEB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff93364000 -     0x7fff9336afff  libCGXCoreImage.A.dylib (324.6) <45864BEA-B2EA-3F5F-9D04-F9832AB67A00> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
    0x7fff9336b000 -     0x7fff93468fff  libsqlite3.dylib (138.1) <ADE9CB98-D77D-300C-A32A-556B7440769F> /usr/lib/libsqlite3.dylib
    0x7fff93469000 -     0x7fff93574fff  libFontParser.dylib (84.5) <617A7D30-C7BC-39FC-A1FE-59367B4A5719> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff93575000 -     0x7fff9359cfff  com.apple.framework.familycontrols (4.1 - 410) <AE49B2AB-7D2B-3D52-8E21-60EBEA1A38E6> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff9359d000 -     0x7fff938cdff7  com.apple.HIToolbox (2.0 - 625) <317F75F7-4B0F-35F5-89A7-F20BA60AC944> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff938db000 -     0x7fff939d8ff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib
    0x7fff93acb000 -     0x7fff93acdff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib
    0x7fff93ace000 -     0x7fff93eebfff  FaceCoreLight (2.4.1) <A34C9575-C4C1-31B1-809B-7751070B4E8B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff93eec000 -     0x7fff93f59fff  com.apple.datadetectorscore (4.0 - 269.1) <C94C372B-3821-3A46-A8C2-091AB1CFF7F4> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff94bb7000 -     0x7fff94cb9fff  libJP2.dylib (845) <405CAF25-0AA5-3C6B-A4A6-94471A1EDD2F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff95046000 -     0x7fff95166fff  com.apple.desktopservices (1.7.2 - 1.7.2) <CDE8C2C2-C505-31B0-8C61-E40E4EA364A5> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff95b70000 -     0x7fff95b72ff7  com.apple.print.framework.Print (8.0 - 258) <34666CC2-B86D-3313-B3B6-A9977AD593DA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff95b84000 -     0x7fff95c79fff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
    0x7fff95caa000 -     0x7fff95dc3ff7  com.apple.ImageIO.framework (3.2.0 - 845) <553B9828-A7D9-3AE4-A214-1C33417545FD> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff96088000 -     0x7fff960aaff7  libxpc.dylib (140.41) <FAC04D8B-680E-325F-8F0C-DD69859D0E01> /usr/lib/system/libxpc.dylib
    0x7fff960ab000 -     0x7fff960d9fff  com.apple.shortcut (2.2 - 2.2) <C573DB65-37FB-3DDC-AB19-525094346D9B> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x7fff96883000 -     0x7fff96889fff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
    0x7fff96ad2000 -     0x7fff96b2ffff  com.apple.audio.CoreAudio (4.1.0 - 4.1.0) <B3198BD6-EA1D-3E5E-ADD4-37D8E6B72678> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff96b30000 -     0x7fff96bcafff  com.apple.CoreSymbolication (3.0 - 87) <75F2C0DD-549A-36F6-BD9E-FB40A924344F> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff96bcb000 -     0x7fff96e9bfff  com.apple.security (7.0 - 55179.1) <639641EF-8156-3190-890C-1053658E044A> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff96e9c000 -     0x7fff96ea1fff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
    0x7fff96ea2000 -     0x7fff96eaafff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C> /usr/lib/system/liblaunch.dylib
    0x7fff96ef1000 -     0x7fff96f00ff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib
    0x7fff96f01000 -     0x7fff96f03fff  com.apple.securityhi (4.0 - 55002) <34E45C60-DC7E-3FCC-A1ED-EBF48B77C559> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff971a1000 -     0x7fff971ccfff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
    0x7fff971cd000 -     0x7fff97450fff  com.apple.RawCamera.bundle (4.00 - 658) <6786E9E0-3197-30A3-A0F4-22A6064B3EF2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff97451000 -     0x7fff975a2fff  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <833DA682-A3C1-39E7-AEC3-9EDC734DE2A9> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff976cd000 -     0x7fff978cdfff  libicucore.A.dylib (491.11.1) <CC318A27-878A-38CE-9292-1B98353FA9C7> /usr/lib/libicucore.A.dylib
    0x7fff97953000 -     0x7fff97c6aff7  com.apple.CoreServices.CarbonCore (1037.3 - 1037.3) <DF7CABCA-F2CB-345B-8EFF-F0F4E937B7FF> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff97cfb000 -     0x7fff97d23fff  libJPEG.dylib (845) <A32618D7-FB91-3EE2-A105-5407B2F3F8D8> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff97d24000 -     0x7fff97d2aff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
    0x7fff97e0f000 -     0x7fff97e0ffff  com.apple.vecLib (3.8 - vecLib 3.8) <794317C7-4E38-338A-A874-5E18001C8503> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff97e10000 -     0x7fff97e6cff7  com.apple.Symbolication (1.3 - 93) <F2C7E0B6-B241-3020-B30A-0636D0FA3378> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff97e6d000 -     0x7fff97eb0ff7  com.apple.bom (12.0 - 192) <0BF1F2D2-3648-36B7-BE4B-551A0173209B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff97eb1000 -     0x7fff97ebdfff  com.apple.CrashReporterSupport (10.8.2 - 415) <55783BF9-125E-3F9C-A412-6A095ECD9353> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff97ee7000 -     0x7fff97ee7fff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff97f88000 -     0x7fff97fc7ff7  com.apple.QD (3.42 - 285) <8DF36FCA-C06B-30F4-A631-7BE2FF7E56D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff97fc8000 -     0x7fff98324fff  com.apple.Foundation (6.8 - 945.11) <A5D41956-A354-3ACC-9355-BE200072223B> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff985d4000 -     0x7fff986a7ff7  com.apple.DiscRecording (7.0 - 7000.2.4) <49FD2D2F-4F2C-39B6-877B-6E3172577D18> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff986a8000 -     0x7fff986b9ff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib
    0x7fff986ba000 -     0x7fff986c0fff  com.apple.DiskArbitration (2.5.1 - 2.5.1) <F7DAF7CC-5893-3F06-9168-3B0192B66D15> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff986c1000 -     0x7fff986c2fff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff987a4000 -     0x7fff987d0ff7  libRIP.A.dylib (324.6) <5A7EB5C2-BA60-36D7-BF41-9853F37837AA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff989cc000 -     0x7fff98aa6ff7  com.apple.backup.framework (1.4.1 - 1.4.1) <A3CFCA9E-717C-302D-821B-16FD35E6673F> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff98aa7000 -     0x7fff996d4ff7  com.apple.AppKit (6.8 - 1187.34) <1FF64844-EB62-3F96-AED7-6525B7CCEC23> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff996d5000 -     0x7fff996e7ff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
    0x7fff996e8000 -     0x7fff99730fff  libcurl.4.dylib (69.2) <EBDBF42D-E4A6-3D05-A76B-2817D79D59E2> /usr/lib/libcurl.4.dylib
    0x7fff99731000 -     0x7fff99732ff7  libdnsinfo.dylib (453.18) <E7595861-ECF9-336E-9901-BED2620FAA80> /usr/lib/system/libdnsinfo.dylib
    0x7fff99733000 -     0x7fff997a0ff7  com.apple.framework.IOKit (2.0 - 755.18.10) <142E19DD-1C8D-3D61-ABC8-83994A73279F> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff997ed000 -     0x7fff9981eff7  com.apple.DictionaryServices (1.2 - 184.4) <054F2D6F-9CFF-3EF1-9778-25C551B616C1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff99c52000 -     0x7fff99ca8ff7  com.apple.opencl (2.1.20 - 2.1.20) <AF142CA4-EA1D-31B0-A48F-AA2B75D4309E> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff9a0f1000 -     0x7fff9a0fcff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <C12962D5-85FB-349E-AA56-64F4F487F219> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff9a0fd000 -     0x7fff9a0fdfff  com.apple.Accelerate (1.8 - Accelerate 1.8) <6AD48543-0864-3D40-80CE-01F184F24B45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff9a0fe000 -     0x7fff9a102fff  libCGXType.A.dylib (324.6) <2FC25246-A69F-3F81-9AC6-0A1753E1C6A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff9a103000 -     0x7fff9a140fe7  libGLImage.dylib (8.6.1) <7F31DD61-3110-3541-A9BB-035CD1262E50> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff9a141000 -     0x7fff9a162fff  com.apple.Ubiquity (1.2 - 243.10) <F97D3A33-2C8B-3CFF-AF75-A74866D42853> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff9a1f6000 -     0x7fff9a203fff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
    0x7fff9a204000 -     0x7fff9a24eff7  libGLU.dylib (8.6.1) <DF45C1E3-3884-3991-B84F-F39B482E8BF8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff9a24f000 -     0x7fff9a3fdfff  com.apple.QuartzCore (1.8 - 304.0) <BDC66714-F60C-386D-A773-F897D1E87AB6> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff9a3fe000 -     0x7fff9a441fff  com.apple.RemoteViewServices (2.0 - 80.5) <F3A897C9-A277-3B56-8FB3-2BC2C10C33BF> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff9a442000 -     0x7fff9a4cfff7  com.apple.SearchKit (1.4.0 - 1.4.0) <C7F43889-F8BF-3CB9-AD66-11AEFCBCEDE7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff9a4d3000 -     0x7fff9a4e1fff  libcommonCrypto.dylib (60026) <2D6537F5-1B5E-305C-A1CF-D1FA80CA3939> /usr/lib/system/libcommonCrypto.dylib
    0x7fff9a4e2000 -     0x7fff9a8d9fff  libLAPACK.dylib (1073.4) <D632EC8B-2BA0-3853-800A-20DA00A1091C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff9a8f6000 -     0x7fff9a915ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
    0x7fff9a916000 -     0x7fff9a91cfff  libGFXShared.dylib (8.6.1) <CF55E720-1B9E-3E24-A1DA-7FA8B261CD8E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff9a91d000 -     0x7fff9abc1fff  com.apple.CoreImage (8.2.2 - 1.0.1) <930B0B23-DD84-3B0C-B5A9-C09B7068A6F0> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff9abde000 -     0x7fff9abf2fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <94EDF2AB-809C-3D15-BED5-7AD45B2A7C16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff9abf3000 -     0x7fff9ac33fff  com.apple.MediaKit (13 - 659) <0C56D7FF-0430-3199-9952-CF8577519449> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff9ac38000 -     0x7fff9ac95ff7  com.apple.AE (645.3 - 645.3) <FF867ACA-8628-3E5A-8FA0-AF429B42C5D7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff9ac96000 -     0x7fff9ac99fff  libRadiance.dylib (845) <E8956A35-494E-3014-8B86-362D32576116> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff9ac9a000 -     0x7fff9acaffff  com.apple.ImageCapture (8.0 - 8.0) <17A45CE6-7DA3-36A5-B7EF-72BC136981AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 42677
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=157.0M resident=117.4M(75%) swapped_out_or_unallocated=39.6M(25%)
Writable regions: Total=66.8M written=17.9M(27%) resident=43.7M(65%) swapped_out=0K(0%) unallocated=23.1M(35%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG backing stores                  2960K
CG image                            572K
CG shared images                   1248K
CoreImage                             4K
CoreServices                       2048K
MALLOC                             34.9M
MALLOC guard page                    48K
MALLOC_LARGE (reserved)             384K        reserved VM address space (unallocated)
Memory tag=240                        4K
Memory tag=242                       12K
Memory tag=251                        8K
OpenCL                                8K
STACK GUARD                        56.0M
Stack                              10.1M
VM_ALLOCATE                        16.1M
__DATA                             11.9M
__IMAGE                             528K
__LINKEDIT                         54.4M
__TEXT                            102.6M
__UNICODE                           544K
mapped file                        42.2M
shared memory                       308K
===========                      =======
TOTAL                             336.6M
TOTAL, minus reserved VM space    336.3M

Model: iMac8,1, BootROM IM81.00C1.B00, 2 processors, Intel Core 2 Duo, 2.8 GHz, 4 GB, SMC 1.30f1
Graphics: ATI Radeon HD 2600 Pro, ATI Radeon HD 2600 Pro, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR2 SDRAM, 800 MHz, 0x7F7F7F7F7F9B0000, 0x4354323536363441433830302E4B31364600
Memory Module: BANK 1/DIMM1, 2 GB, DDR2 SDRAM, 800 MHz, 0x7F7F7F7F7F9B0000, 0x4354323536363441433830302E4B31364600
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8C), Broadcom BCM43xx 1.0 (5.10.131.36.16)
Bluetooth: Version 4.0.9f33 10885, 2 service, 18 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HDP725032GLA380, 320.07 GB
Parallel ATA Device: MATSHITADVD-R   UJ-875
USB Device: iPod, apple_vendor_id, 0x1302, 0xfa400000 / 3
USB Device: FreeAgent, 0x0bc2  (Seagate LLC), 0x3008, 0xfa200000 / 2
USB Device: Built-in iSight, apple_vendor_id, 0x8502, 0xfd400000 / 3
USB Device: USB2.0 Hub, 0x05e3  (Genesys Logic, Inc.), 0x0608, 0xfd100000 / 2
USB Device: USB2.0 Hub, 0x05e3  (Genesys Logic, Inc.), 0x0608, 0xfd140000 / 5
USB Device: iPhone, apple_vendor_id, 0x1294, 0xfd144000 / 10
USB Device: USB2.0 Hub, 0x05e3  (Genesys Logic, Inc.), 0x0608, 0xfd142000 / 7
USB Device: Flash Disk, 0x058f  (Alcor Micro, Corp.), 0x6387, 0xfd142100 / 8
USB Device: Keyboard Hub, apple_vendor_id, 0x1006, 0xfd141000 / 6
USB Device: Apple Keyboard, apple_vendor_id, 0x0220, 0xfd141200 / 9
USB Device: My Book 1110, 0x1058  (Western Digital Technologies, Inc.), 0x1110, 0xfd130000 / 4
USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x1a100000 / 2
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x820f, 0x1a110000 / 5
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0x5d100000 / 2
msg172269 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2012-10-07 00:04
There are known issues with TCL on Mac. Does http://www.python.org/download/mac/tcltk/ help with your issue?
msg172270 - (view) Author: Raymond Costantini (Raymond.Costantini) Date: 2012-10-07 00:06
Downloaded and installed this twice, with no help on the issue. Still crashes every time.

On Oct 6, 2012, at 5:04 PM, Christian Heimes <report@bugs.python.org> wrote:

> 
> Christian Heimes added the comment:
> 
> There are known issues with TCL on Mac. Does http://www.python.org/download/mac/tcltk/ help with your issue?
> 
> ----------
> nosy: +christian.heimes
> versions: +Python 3.2 -Python 3.5
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16156>
> _______________________________________
msg172271 - (view) Author: Raymond Costantini (Raymond.Costantini) Date: 2012-10-07 00:07
Also crashes every time I try and access preferences in IDLE as well. 

Begin forwarded message:

> From: "Costantini, MD, MBA Raymond" <raymondcostantini@gmail.com>
> Subject: Re: [issue16156] Crash every time I copy or paste any code in IDLE
> Date: October 6, 2012 5:05:55 PM PDT
> To: Python tracker <report@bugs.python.org>
> 
> Downloaded and installed this twice, with no help on the issue. Still crashes every time.
> 
> 
> On Oct 6, 2012, at 5:04 PM, Christian Heimes <report@bugs.python.org> wrote:
> 
>> 
>> Christian Heimes added the comment:
>> 
>> There are known issues with TCL on Mac. Does http://www.python.org/download/mac/tcltk/ help with your issue?
>> 
>> ----------
>> nosy: +christian.heimes
>> versions: +Python 3.2 -Python 3.5
>> 
>> _______________________________________
>> Python tracker <report@bugs.python.org>
>> <http://bugs.python.org/issue16156>
>> _______________________________________
>
msg172272 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-10-07 00:36
> Also crashes every time I try and access preferences in IDLE as well. 

See issue15853.
msg172275 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2012-10-07 00:42
Raymond, I'm closing this bug as duplicate of #15853. Please follow the other ticket to get new information.
History
Date User Action Args
2012-10-07 00:42:56christian.heimessetstatus: open -> closed
2012-10-07 00:42:31christian.heimessetresolution: duplicate
messages: + msg172275
2012-10-07 00:36:23roger.serwysetnosy: + roger.serwy, ned.deily
messages: + msg172272
2012-10-07 00:07:48Raymond.Costantinisetmessages: + msg172271
2012-10-07 00:06:01Raymond.Costantinisetmessages: + msg172270
2012-10-07 00:04:52christian.heimessetnosy: + christian.heimes

messages: + msg172269
versions: + Python 3.2, - Python 3.5
2012-10-07 00:00:47Raymond.Costantinicreate